Package tigase.auth.credentials.entries

## Class ScramCredentialsEntry

- java.lang.Object
- - tigase.auth.credentials.entries.ScramCredentialsEntry

- All Implemented Interfaces:
    `Credentials.Entry`
  Direct Known Subclasses:
    `ScramSha1CredentialsEntry`, `ScramSha256CredentialsEntry`, `ScramSha512CredentialsEntry`

      public class ScramCredentialsEntry
      extends java.lang.Object
      implements Credentials.Entry

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ScramCredentialsEntry.Decoder` |
    `static class` | `ScramCredentialsEntry.Encoder` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScramCredentialsEntry​(java.lang.String algorithm, byte[] salt, int iterations, byte[] saltedPassword)` |
    `ScramCredentialsEntry​(java.lang.String algorithm, PlainCredentialsEntry entry)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getIterations()` |
    `java.lang.String` | `getMechanism()` | Name of the mechanism for which it will work
    `byte[]` | `getSalt()` |
    `byte[]` | `getSaltedPassword()` |
    `boolean` | `verifyPlainPassword​(java.lang.String password)` | Check if plaintext password will match stored credential

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScramCredentialsEntry

          public ScramCredentialsEntry​(java.lang.String algorithm,
                                       PlainCredentialsEntry entry)
                                throws java.security.NoSuchAlgorithmException,
                                       java.security.InvalidKeyException

      Throws:
        `java.security.NoSuchAlgorithmException`
        `java.security.InvalidKeyException`

    - #### ScramCredentialsEntry

          public ScramCredentialsEntry​(java.lang.String algorithm,
                                       byte[] salt,
                                       int iterations,
                                       byte[] saltedPassword)

  - ### Method Detail

    - #### getSalt

          public byte[] getSalt()

    - #### getSaltedPassword

          public byte[] getSaltedPassword()

    - #### getIterations

          public int getIterations()

    - #### getMechanism

          public java.lang.String getMechanism()

      Description copied from interface: `Credentials.Entry`
      Name of the mechanism for which it will work
      Specified by:
        `getMechanism` in interface `Credentials.Entry`

    - #### verifyPlainPassword

          public boolean verifyPlainPassword​(java.lang.String password)

      Description copied from interface: `Credentials.Entry`
      Check if plaintext password will match stored credential
      Specified by:
        `verifyPlainPassword` in interface `Credentials.Entry`